using UnityEngine;
using System.Collections;

public class diamant : MonoBehaviour {

	void Start ()
	{
	
	}
	
	void Update ()
	{
		// Rotation du diamant
		transform.Rotate (0, 0, 45 * Time.deltaTime);
	}
	
	// Vérification si l'objet est ramassé par le joueur
	void OnTriggerEnter(Collider other)
	{
		if (other.tag == "Player")
		{
			Ball.score+=10;
			Destroy(gameObject);
		}
    }
}
